Skip to content
Scope
Search
Ctrl
K
Cancel
Select theme
Dark
Light
Auto
Introduction
What is Scope?
Concepts
Getting Started
Access
Install the CLI
Your first run
Guides
Submitting requests (Portal)
Submitting requests (REST API)
Submitting requests (CLI)
Managing task prompts
Defining evaluation criteria
Defining profiles
Working with prompt features
Choosing a coding agent
Choosing software stacks
Prioritizing & pausing requests
Importing MCP servers
Importing skills
Importing VS Code extensions
Using MCP servers, skills & extensions
Reference
REST API overview
Profile schema
Criteria schema
Prompt feature schema
Coding agents & capabilities
REST API reference
Overview
Keys
Preview key
List keys
Create key
Get key
Update key
Delete key
Validate key
Accounts
List accounts
Create account
Get account
Update account
Delete account
Health
Liveness probe
Readiness probe
System
API metadata
Version info
Projects
List all projects
Create a project
Get a project
Soft-delete a project
Update a project
Restore a soft-deleted project
Requests
List requests
Submit request(s)
List run filter facets
Get request
Soft-delete request
Compute pass@k / success@T metrics
Bulk resubmit requests
Bulk soft-delete requests
Download batch archive of multiple runs
Import run archive
Import batch run archive
List attempts for a request
Get a single attempt
Bulk retry requests (start new attempts)
Retry a request (start a new attempt)
Set priority on a single request
Set priority on multiple requests
Pause a single request
Resume a paused request
Pause multiple requests
Resume multiple paused requests
Cancel a request (marks as done/failed and signals worker to exit)
Cancel multiple requests
Stream request logs (SSE)
Stream logs for a specific attempt (SSE)
Download HAR file
Download HAR file for a specific attempt
Download ATIF trajectory file for a specific iteration
Download ATIF trajectory file for a specific attempt and iteration
Download session recording
Download session recording for a specific attempt
Download per-iteration tool-calls JSONL
Download per-iteration tool-calls JSONL for a specific attempt
Download iteration snapshot
Download iteration snapshot for a specific attempt
Download full run archive
Download full run archive for a specific attempt
Reports
Get reports for request
List reports
Create report
Bulk create reports
Bulk get report statuses
Bulk get report summary per run
Get report
Stream report logs (SSE)
Trigger reports
Bulk trigger reports
Get insights for report
Link insight to report
Criteria
Generate criterion prompt from behavior
Seed criteria in bulk
List criteria
Create criterion
Compute MDP transitions
Get criteria DAG
Get criterion
Update criterion
Soft-delete criterion
Prompt Features
Generate prompt feature from behavior
Seed prompt features in bulk
Extract features from text
List features
Create feature
Get feature
Update feature
Soft-delete feature
Task Prompts
Generate task prompts
List task prompts
Create or find task prompt
Get task prompt
Soft-delete task prompt
Get resolved task prompt content
Extract features from task prompt
Toggle feature flag on task prompt
Profiles
List profiles
Create a new profile
Get profile with latest version
Update profile identity
Create new profile version
Delete profile
List profile versions
Get profile version
Report Templates
Get default system prompt
List models available for report generation
List report templates
Create report template
Get report template
Update report template
Delete report template
Agents
List agents
Create or update agent (upsert)
Get agent
Update agent
Delete agent
List agent versions
Register agent version (upsert)
Patch agent version
Models
List models
Get model
Sync models from provider
MCP Servers
List MCP servers
Create MCP server
Get MCP server
Update MCP server
Delete MCP server
Skills
List all skills
Create or import a skill
Search skills (internal + external)
Search external skills registry
Discover skills in a GitHub repository
List skill revisions
Get skill by slug
Soft-delete a skill
Trigger skill resolution
Skill Revisions
Download skill revision archive
Get skill revision by ref
Get skill revision by ID
Codebases
List all codebases
Create a codebase (archive codebases require the archive file)
Get a codebase
Delete a codebase
Update a codebase
List codebase revisions
Resolve a new git codebase revision
Upload a codebase archive as a new revision
Codebase Revisions
Download codebase revision archive
Get codebase revision by id
Extensions
List all extensions
Create or import an extension
Search extensions (internal + marketplace)
Get extension by ID
Update extension
Delete extension
List available versions for an extension
Insights
List insights
Create insight
Search insights
Get insight
Update insight
Delete insight
Upvote insight
Downvote insight
Block insight
Unblock insight
Get reports referencing insight
Feature Flags
List feature flags
Update feature flag
Resources
FAQ
Data collection and privacy
Troubleshooting
Glossary
Select theme
Dark
Light
Auto
Pause a single request
POST
/api/v1/requests/{id}/pause
Current server
Responses
Section titled “ Responses ”
201
Section titled “201 ”
Success
Media type
application/json
object
id
required
string
status
required
string
Example
generated
{
"id"
:
"
example
"
,
"status"
:
"
example
"
}